# Flynn Django Starter Template
从heroku模版更改而来，https://github.com/heroku/heroku-django-template.git 

## 特性

- 静态文件，数据库配置，Gunicorn uwsgi 网关。
- WhiteNoise增强静态文件处理。
- Python 3.6。

## 基本步骤

按以下步骤操作:

1. 开发环境准备
2. 安装工具 pipenv/django（`$pip3 install -i https://pypi.tuna.tsinghua.edu.cn/simple pipenv django`） 
3. 使用本模版创建项目


## 创建项目

用模版轻松创建项目::

    $ django-admin.py startproject --template=https://git.xxynet.com/pub/flynn-django-template/repository/archive.zip\?ref=master --name=Procfile appname

    $ cd appname && pipenv install && pipenv shell

(windows如果失败, 将 `django-admin.py` 换为 `django-admin`)

这里要把 ``appname`` 换为你的项目名称.

目录中Pipfile为依赖管理文件


## 部署到flynn

    $ git init
    $ git add -A
    $ git commit -m "初始化项目"

    $ flynn create ``appname``
    $ git push flynn master

    $ flynn run python manage.py migrate

参考python项目部署中文文档 [如何部署 Python 应用](https://flynn.mydoc.io/?t=54100)


## License: MIT

## 进一步阅读

- [Gunicorn](https://warehouse.python.org/project/gunicorn/) wsgi网关
- [WhiteNoise](https://warehouse.python.org/project/whitenoise/) django静态服务组件
- [dj-database-url](https://warehouse.python.org/project/dj-database-url/) 数据库组件
